<?php
if (strstr($_SERVER["PHP_SELF"], "/core/"))  die ("You can't access this file directly...");
// try to limit the possible page to send
  include("core/language.php" );

function create_userform( $formtype )
{
    global $userform, $lang, $config, $cfg, $lcountry,$language;
    if ($formtype != "myaccount" && $formtype != "newuser") return;
    $userform = new phpform( "form_user", $formtype.".php" );
    $userform->add_textbox( "name", "", 20, 20 );
    //if($nu_form_type=="myaccount") echo "readonly";

    $userform->add_textbox( "realname", "", 20, 40 );
    $userform->add_password( "passwd1", "", 20, 20 );
    $userform->add_password( "passwd2", "", 20, 20 );
    $userform->add_textbox( "email", "", 40, 50 );
    $userform->add_static_listbox( "sex","", " ,Male;{$lang["MYACCT_FORM_MALE"]},Female;{$lang["MYACCT_FORM_FEMALE"]}" );
    $qst1 = " ".$cfg["core"]["question1_values"];
    $userform->add_static_listbox( "question1", "", $qst1 );
    $qst2 = " ".$cfg["core"]["question2_values"];
    $userform->add_static_listbox( "question2", "", $qst2 );
    $userform->add_static_listbox( "country", "", $lcountry );
    $userform->add_textbox( "city", "", 20, 30 );
    $userform->add_textbox( "state", "", 4, 4 );
    $userform->add_checkbox( "receivenews", "", "Y", "N" );
    $userform->add_checkbox( "receiverel", "", "Y", "N" );
    $userform->add_textbox( "url", "", 50, 127 );
    $userform->add_textbox( "icq", "", 20, 12 );
    $userform->add_textbox( "aim", "", 20, 12 );
    $userform->add_textarea( "comments", "", 45, 5 );
    $userform->add_textarea( "signature", "", 45, 5 );
$langs = " ";
$dir = opendir("lang/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") {
//                if( ereg( "^msg_([a-z]+)\.php$", $file, $regs ) ) {
  	if( preg_match( "^msg_([a-z]+)\.php$^", $file, $regs ) ) {
                        if( !empty($langs) ) $langs .= ",";
                        $langs .= $regs[1].";".$language[$regs[1]];
                }
        }
}
closedir($dir);
  $userform->add_static_listbox( "lang", "", $langs );
$themes = " ";
$dir = opendir("themes/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!=".." && $file != "CVS") {
                if( is_dir( "themes/".$file ) ) {
                        if( file_exists( "themes/".$file."/main.php" ) ) {
                                if( !empty($themes) ) $themes .= ",";
                                $themes .= $file;
                        }
                }
        }
}
closedir($dir);
  $userform->add_static_listbox( "theme", "", $themes );
}

function process_userform()
{
    global $userform;
    if( $userform->process() ) {
        reset( $userform->fields );
        while( $fld = each( $userform->fields ) )
        {
            $userform->fields[$fld[1]->field]->value = trim(strip_tags($fld[1]->value));
        }
        return true;
    }
    return false;
}

function draw_userform( $title )
{
    global $lang, $userform,$cfg;
    theme_draw_centerbox_open( $title );
    $userform->draw_header();
?>
<table border=0 cellpadding="0" cellspacing=0 align="center" bgcolor="#ffffff">
<tr><td>
<table border=0 cellpadding="4" cellspacing=1 align="center">
    <tr>
        <td class="centerboxtext" colspan="2"><?php echo $lang["MYACCT_TEXT"]; ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "* ".$lang["MYACCT_FORM_LOGIN"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["name"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_REALNAME"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["realname"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "* ".$lang["MYACCT_FORM_PASSWD"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["passwd1"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "* ".$lang["MYACCT_FORM_PASSWD2"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["passwd2"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "* ".$lang["MYACCT_FORM_EMAIL"]; ?></td>
        <td class="myaccount2" ><?php $userform->fields["email"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_SEX"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["sex"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo  "* ".$cfg["core"]["question1_big"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["question1"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "* ".$cfg["core"]["question2_big"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["question2"]->draw(); ?></td>
    </tr>
  <?php
  if( $cfg["core"]["unreglangchange"] )
  {
  ?>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_LANGUAGE"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["lang"]->draw(); ?></td>
    </tr>
  <?php
  }
  if( $cfg["core"]["unregthemechange"] )
  {
  ?>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_THEME"]; ?></td>
        <td class="myaccount2" ><?php $userform->fields["theme"]->draw(); ?></td>
    </tr>
  <?php
  }
  ?>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_CITY"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["city"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_STATE"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["state"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "* ".$lang["MYACCT_FORM_COUNTRY"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["country"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_RCVNEWS"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["receivenews"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_RCVREL"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["receiverel"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_URL"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["url"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "ICQ"; ?></td>
        <td class="myaccount2"><?php $userform->fields["icq"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo "AIM"; ?></td>
        <td class="myaccount2"><?php $userform->fields["aim"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_SIGNATURE"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["signature"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="myaccount1"><?php echo $lang["MYACCT_FORM_OBS"]; ?></td>
        <td class="myaccount2"><?php $userform->fields["comments"]->draw(); ?></td>
    </tr>
    <tr>
        <td class="centerboxtext" colspan=2 align="right"><?php $userform->draw_submit( $lang["MYACCT_FORM_SUBMIT"] ); ?></td>
    </tr>
</table>
</td>
</tr>
</table>
<?php
    $userform->draw_footer();
    theme_draw_centerbox_close();
}
?>
