CREATE TABLE wt_forum_log_topics (
  uid int(10) NOT NULL default '0',
  msgid int(11) NOT NULL default '0',
  logtime bigint(20) default NULL,
  notifysent enum('N','Y') NOT NULL default 'N',
  PRIMARY KEY  (uid,msgid)
) TYPE=MyISAM;

CREATE TABLE wt_forum_msgs (
  cod int(10) NOT NULL auto_increment,
  forum int(10) unsigned NOT NULL default '0',
  msg_ref int(10) unsigned NOT NULL default '0',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  userid int(10) unsigned NOT NULL default '0',
  title varchar(80) NOT NULL default '',
  text_ori text NOT NULL,
  date_der datetime default NULL,
  views int(10) unsigned NOT NULL default '0',
  closed enum('Y','N') default 'N',
  sticky tinyint(4) NOT NULL default '0',
  modifiedtime bigint(20) NOT NULL default '0',
  modifiedname tinytext,
  notifies text NOT NULL,
  PRIMARY KEY  (cod,forum,msg_ref),
  KEY msg_ref (msg_ref),
  KEY categorie (forum)
) TYPE=MyISAM;


CREATE TABLE wt_forums (
  cod int(10) unsigned NOT NULL auto_increment,
  title varchar(80) NOT NULL default '',
  descr text,
  locked enum('Y','N') default 'N',
  PRIMARY KEY  (cod)
) TYPE=MyISAM;

CREATE TABLE wt_forums_mod (
  forum int(10) unsigned NOT NULL default '0',
  userid int(10) unsigned NOT NULL default '0',
  type enum('allowed','moderator') NOT NULL default 'allowed',
  PRIMARY KEY  (forum,userid,type)
) TYPE=MyISAM;

