BEGIN;
CREATE SEQUENCE wt_polls_cod_seq;
CREATE TABLE wt_polls (
  cod INT4 DEFAULT nextval('wt_polls_cod_seq'),
  dtstart DATE NOT NULL DEFAULT '0001-01-01',
  dtend DATE NOT NULL DEFAULT '0001-01-01',
  question TEXT DEFAULT '' NOT NULL,
  item01 varchar(40) NOT NULL DEFAULT '',
  item02 varchar(40) NOT NULL DEFAULT '',
  item03 varchar(40) DEFAULT NULL,
  item04 varchar(40) DEFAULT NULL,
  item05 varchar(40) DEFAULT NULL,
  item06 varchar(40) DEFAULT NULL,
  item07 varchar(40) DEFAULT NULL,
  item08 varchar(40) DEFAULT NULL,
  item09 varchar(40) DEFAULT NULL,
  item10 varchar(40) DEFAULT NULL,
  count01 INT4  NOT NULL DEFAULT '0',
  count02 INT4  NOT NULL DEFAULT '0',
  count03 INT4  DEFAULT '0',
  count04 INT4  DEFAULT '0',
  count05 INT4  DEFAULT '0',
  count06 INT4  DEFAULT '0',
  count07 INT4  DEFAULT NULL,
  count08 INT4  DEFAULT NULL,
  count09 INT4  DEFAULT NULL,
  count10 INT4  DEFAULT NULL,
  PRIMARY KEY  (cod)
);
CREATE UNIQUE INDEX dtstInd_wt_polls_index ON wt_polls (dtstart);
SELECT SETVAL('wt_polls_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_polls));
COMMIT;
