<?php
	session_start();
	if( !isset($_SESSION["install"]) )
	{
		$_SESSION["install"]=array();
		$_SESSION["install"]["step"] = 1;
	}

	if( $_SESSION["install"]["step"] > 1 )
	{
		$db = mysql_connect(
			$_SESSION["install"]["db_host"],
			$_SESSION["install"]["db_user"],
			$_SESSION["install"]["db_passwd"]
		);
		if( !$db )
		{
			echo "Error connecting: ".mysql_error();
			echo "<br><br><a href=\"install.php\">Try again</a>";
			$_SESSION["install"]["step"] = 1;
		}
	}

	if( $_SESSION["install"]["step"] > 2 )
	{
		if( !mysql_select_db( $_SESSION["install"]["db_database"], $db ) )
		{
			echo "<div class=\"error\">You don't have permission to use this database.<br>".mysql_error()."</div>";
			echo "<br><br><a href=\"install.php\">Try again</a>";
			$_SESSION["install"]["step"] = 1;
			return;
		}
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title>Installing phpWebThings</title>
	<style type="text/css">	BODY {
		background : White;
		font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
		font-size : 12px;
		color : #2F4F4F;
		text-align: center;
		padding: 0px 0px 0px 0px;
		margin: 0px 0px 0px 0px;
	}
	INPUT, SELECT, TEXTAREA {
		background : #F5F5F5;
		font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
		font-size : 12px;
		color : #2F4F4F;
		margin: 3px 0px 5px 0px;
	}
	FORM {
		margin: 0px;
	}
	A {
		background: transparent;
		color: Blue;
	}
	A:HOVER {
		background: transparent;
		color: Red;
	}
	#ext {
		position: absolute;
		text-align: left;
		background : #F8F8FF;
		color : #2F4F4F;
		top: 50%;
		left: 50%;
		width: 500px;
		height: 350px;
		margin-top: -175px;
		margin-left: -250px;
		padding: 5px;
		border: 1px solid Blue;
	}
	#logo {
		text-align: right;
		margin: 5px;
	}
	.button {
		text-align: right;
		margin: 2px;
	}
	.error {
		background: Yellow;
		color: Red;
		font-weight: bold;
	}
	.info {
		background: Yellow;
		color: Blue;
		font-weight: bold;
	}
</style>
</head>
<body>
<div id="ext">
<a href="http://www.phpwebthings.org"><img src="images/logo.gif" width="275" height="60" alt="" border="0" title="click here to go to phpwebthings' site"></a><br>
<?php
if( isset($_POST["db_submit"]) ) process_step1();
else if( isset($_POST["db2_submit"]) ) process_step2();
else if( isset($_POST["db3_submit"]) ) process_step3();
else draw_step1();
?>
</div>
</body>
</html>
<?php
function draw_step1()
{
?>
Database Information:<br>
<i>Fill the fields (MySQL login) so the install script can login into database</i><br><br>
<form action="install.php" method="post">
<input type="hidden" name="db_submit" value="1">
User:<br><input type="text" name="db_user" size="32" maxlength="128"><br>
Password:<br><input type="password" name="db_passwd" size="32" maxlength="128"><br>
Host:<br><input type="text" name="db_host" value="localhost" size="32" maxlength="128"><br>
Database: (leave blank to list all databases)<br><input type="text" name="db_database" value="" size="32" maxlength="128"><br>
<div class="button"><input type="submit" name="db_button" value="Next Step"></div>
</form>
<?php
}

function process_step1()
{
	global $db;
	$db = mysql_connect( $_POST["db_host"], $_POST["db_user"], $_POST["db_passwd"] );
	if( !$db )
	{
		echo "<div class=\"error\">Error connecting: ".mysql_error()."</div>";
		echo "<br><br><a href=\"install.php\">Try again</a>";
		$_SESSION["install"]["step"] = 1;
		return;
	}
	$_SESSION["install"]["db_host"] = trim($_POST["db_host"]);
	$_SESSION["install"]["db_user"] = trim($_POST["db_user"]);
	$_SESSION["install"]["db_passwd"] = trim($_POST["db_passwd"]);
	$_SESSION["install"]["db_database"] = trim($_POST["db_database"]);
	
	$dbs = array();
	if( empty($_SESSION["install"]["db_database"]) )
	{
		$ret = mysql_query( "SHOW DATABASES" );
		while( $row = mysql_fetch_array($ret) ) $dbs[] = $row[0];
		mysql_free_result($ret);
	}
	$_SESSION["install"]["step"] = 2;
	draw_step2($dbs);
}

function draw_step2(&$dbs)
{
?>
Database Information:<br>
<i>If you left the database field blank at the last step, select it now. See if the table prefix is ok to you</i><br><br>
<form action="install.php" method="post">
<input type="hidden" name="db2_submit" value="1">
<?php
if( !empty($dbs) )
{
?>
Database:<br><select name="db2_database"><?php
reset($dbs);
while( $row = each($dbs) )
{
	echo "<option value=\"{$row[1]}\">{$row[1]}</option>";
}
?></select><br>
<?php
} else {
?>
<input type="hidden" name="db2_database" size=32 maxlength=128 value="">
<?php
}
?>
Table Prefix:<br><input type="text" name="db2_prefix" value="wt" size="10" maxlength="10"><br>
<div class="button"><input type="submit" name="db2_button" value="Next Step"></div>
</form>
<?php
}

function process_step2()
{
	global $db;
	if( empty($_SESSION["install"]["db_database"]) )
		$_SESSION["install"]["db_database"] = trim($_POST["db2_database"]);
	if( !mysql_select_db( $_SESSION["install"]["db_database"], $db ) )
	{
		echo "<div class=\"error\">You don't have permission to use this database: ".mysql_error()."</div>";
		echo "<br><br><a href=\"install.php\">Try again</a>";
		$_SESSION["install"]["step"] = 1;
		return;
	}
	$_SESSION["install"]["db_prefix"] = $_POST["db2_prefix"];
	$fd = fopen( "all_tables_mysql.sql", "r" );
	while( !feof($fd) )
	{
		$buffer = trim(fgets($fd, 4096));
		if( empty($buffer) ) continue;
		$buffer = str_replace( "%prefix%", $_POST["db2_prefix"], $buffer );
		$ret = mysql_query( $buffer, $db );
		if( !$ret )
		{
			echo "<div class=\"error\">Error creating tables:<br>".mysql_error()."</div>";
			echo "<br><br><a href=\"install.php\">Try again</a>";
			$_SESSION["install"]["step"] = 1;
			return;
		}
	}
	fclose( $fd );
	echo "<div class=\"info\">tables created</div>";
	$_SESSION["install"]["step"] = 3;
	draw_step3();
}

function draw_step3()
{
?>
Administrator Information:<br>
<i>Now, inform the fields about the administrator. Don't forget the login and password you will inform here. <u>Case matters</u>.</i><br><br>
<form action="install.php" method="post">
<input type="hidden" name="db3_submit" value="1">
Login:<br><input type="text" name="db3_login" size="32" maxlength="20"><br>
Password:<br><input type="text" name="db3_passwd" size="32" maxlength="128"><br>
Real Name:<br><input type="text" name="db3_name" size="32" maxlength="40"><br>
e-mail:<br><input type="text" name="db3_email" size="32" maxlength="50"><br>
<div class="button"><input type="submit" name="db3_button" value="Next Step"></div>
</form>
<?php
}

function process_step3()
{
	global $db;
	$db_login = addslashes(delmagic($_POST["db3_login"]));
	$db_passwd = addslashes(delmagic($_POST["db3_passwd"]));
	$db_name = addslashes(delmagic($_POST["db3_name"]));
	$db_email = addslashes(delmagic($_POST["db3_email"]));

	mt_srand(make_seed());
	$session = md5( mt_rand( 0, mt_getrandmax() ) );
	$stmt = "INSERT INTO {$_SESSION["install"]["db_prefix"]}_users values ( 1, '$db_login', MD5('$db_passwd'), 'admin', '$db_name', '$db_email', '', '', NULL, 'Y', 'Y', '', NULL, NULL, NULL, NULL, NULL, '$session', 'Y', NULL, 0, 0, 0, 0, NOW(), NOW(), NOW(), 0, NULL, NULL, NULL, '', '', '')";
	if( !mysql_query( $stmt, $db ) )
	{
		echo "<div class=\"error\">Error creating administrator: ".mysql_error()."</div>";
		echo "<br><br><a href=\"install.php\">Try again</a>";
		$_SESSION["install"]["step"] = 1;
		return;
	}
	echo "<div class=\"info\">Administrator account created.</div>";
	$_SESSION["install"]["step"] = 3;
	create_wtconfig();
}

function create_wtconfig()
{
	$wtconfig = "<?php\n// Database configuration\n\$config[\"dbtype\"] = \"mysql\";  //mysql/pgsql\n\$config[\"host\"] = \"{$_SESSION["install"]["db_host"]}\";\n\$config[\"user\"] = \"{$_SESSION["install"]["db_user"]}\";\n\$config[\"password\"] = \"{$_SESSION["install"]["db_passwd"]}\";\n\$config[\"database\"] = \"{$_SESSION["install"]["db_database"]}\";\n\$config[\"prefix\"] = \"{$_SESSION["install"]["db_prefix"]}\";\n?>";
	echo "<div>Creating wt_config.php with this info:<br>";
	echo "<textarea rows=\"4\" cols=\"60\">".htmlspecialchars($wtconfig)."</textarea></div><br>";
	$fd = fopen( "wt_config.php", "w" );
	if( !$fd )
	{
		echo "<div class=\"error\">An error ocurred trying to create file wt_config.php, edit it and paste the contents of the box above into it.</div>";
	} else {
		fwrite( $fd, $wtconfig );
		fclose( $fd );
	}
	echo "<b>Installation almost complete! Now, remove the file 'install.php', secure the file 'wt_config.php' if needed, login with the login and password you created and enter WebAdmin to configure the modules.<br><br>I hope that you liked!<br>See ya!<br>Paulo Assis<br><a href=\"http://www.phpwebthings.org\">http://www.phpwebthings.org</a></b>";
}

function delmagic( $value )
{
    // this function removes backslashes ig magic_quotes_gpc is on
    if( get_magic_quotes_gpc() ) return stripslashes( $value );
    else return $value;
}

function make_seed()
{
	list($usec, $sec) = explode(' ', microtime());
	return (float) $sec + ((float) $usec * 100000);
}
?>
